Subject: FVWM: Netscape Crashing, No Console Login, solaris 2.7 x86, fvwm2

From: "Robert D. Manchester II" <[email-masked]>
Date: Mon, 22 Mar 1999 20:50:36 -0500 (EST)

First,
I realy enjoy fvwm2.  This is my first unix set up, it rocks...
I use fvwm2 with solaris7 x86 pent 266, 200mg ram, api xpert@play98 video card.
though the driver is for xpert@play or the 3d rage pro (i need 3d rage pro tubo)

1) netscape problem
I am having some problems though.  Netscape comunicator 4.5 w/128 bit encryp 
seems to crash the window manager occasionaly, mostly it seems when there is 
graphicaly intense stuff, ie. www.gnome.org  .  When the crash occurs I just get 
logged out of my session and brought back to the login screen.  

I have tried to use netscape 4.08 (comunicator) and it crashed also.  I don't 
know if this is a problem with netscape or fvwm2.  I have not been able to 
reproduce the problem with CDE, but I don't use it much because I like fvwm2 
much better.

2) Sometimes when I log out out fvwm2 and try to login in console mode my screen 
gets filled with funky shapes and charachters which blink.  the space each one 
occupies is about 1.5cm x 0.5 cm.  I can log in to the console, execute 
commands, eventhough I can't  see what I am typing because my screen is messed 
up.  I can exit and I will get brought back into sun's GUI login screen and 
everything seems fine.  I can loginto my window manager of my choice and code 
away.

--I understand that this could be anumber of things
1st:  I don't have the correct video driver
2cond: fvwm2 problem
3rd: sun problem
4th: netscape problem
5th: my problem
--not listed in any logical order.

--My fvwm2 set up is pretty simple.  I just have a solid backround, a 3x3 
desktop the pager to manage the desktop and the button box to swallow the pager 
and a xclock.

--Suggestions, flames, whatever... please send them my way.

-rob manchester

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Tue, 23 Mar 1999 08:48:17 -0500

> logged out of my session and brought back to the login screen.  

If you are back at the login screen, your XServer is crashing, not fvwm2.
The last "incident" I ran into with the Sun XServer crashing was related
to running out of colors.  Since you also mention Netscape...

If your video card is limited to displaying 256 colors at once,
run netscape with the "-install" option and add the command "ColorLimit 99"
to the beginning of your .fvwm2rc file.

> desktop the pager to manage the desktop and the button box to swallow the pag

Sounds like your display ends up in a non-text video mode.
Since I don't really have any experience with Solaris X86,  I'm guessing.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Benoit Champagne <[email-masked]>
Date: Tue, 23 Mar 1999 09:54:47 -0500 (EST)

===>Dan Espen writes:

    Dan> "Robert D. Manchester II" <[email-masked]>
    Dan> writes:
    >> First, I realy enjoy fvwm2.  This is my first unix set up, it rocks...
    >> I use fvwm2 with solaris7 x86 pent 266, 200mg ram, api xpert@play98
    >> video car d.  though the driver is for xpert@play or the 3d rage pro (i
    >> need 3d rage pro tu bo)
    >> 
    >> 1) netscape problem I am having some problems though.  Netscape
    >> comunicator 4.5 w/128 bit encryp seems to crash the window manager
    >> occasionaly, mostly it seems when there is graphicaly intense stuff,
    >> ie. www.gnome.org .  When the crash occurs I just get logged out of my
    >> session and brought back to the login screen.

    Dan> If you are back at the login screen, your XServer is crashing, not
    Dan> fvwm2.  The last "incident" I ran into with the Sun XServer crashing
    Dan> was related to running out of colors.  Since you also mention
    Dan> Netscape...

Actually, not necessarily. It depends on how the Window Manager was started. If 
its started in the background by XDM that yes, you're right. But, if instead
fvwm is started using "exec" or simply called upon then as soon as fvwm stops
the XDM session is closed. That's how my setup is working.

Best Regards
-- 
---------------------------------------------------------------------
    Continuum all the way                 COMPUTER ASSOCIATES
Benoit Champagne  ift.a             |  Main Line : (450) 978-4899
Tel  : (450) 978-4913               |    3090 Boul. Le Carrefour
FAX  : (450) 978-4909               |          Suite 300
Email: [email-masked]     |          Laval, PQ
                                    |           H7T 2J7
Nice Words from F1 analysts:
  Murray: And look at the flames coming from the back of Berger's McLaren 
   James: Actually, Murray, they're not flames, it's the safety light
---------------------------------------------------------------------
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].